// Copied, unedited, from original lawnmower vehicle

$grass_regrow=true;
$grass_regrowTime=600;
$grass_emitter="GrassEmitter";

function fxDTSBrick::growGrass(%this)
{
	cancel(%this.regrow);
	%this.grassTick += 1;
	if(%this.grassTick >= $grass_regrowTime)
	{
		%this.setEmitter(%this.grow);
	}
	else
	{
		%this.regrow = %this.schedule(1000, growGrass);
	}
}

function WheeledVehicle::fanBlade(%this, %obj)
{
	cancel(%obj.fan);
	if(isObject(%obj))
	{
		%obj.playThread(0, "fan");
		%this.fan = %this.schedule(250, fanBlade, %obj);	
	}
}

function WheeledVehicle::checkGrass(%this, %obj)
{
	cancel(%this.grass);
	if(isObject(%obj))
	{
		%pos = vectorAdd(%obj.position, "0 0 -1.10");
		%size = 2.10 @ " " @ 2.10 @ " " @ 3.50;
		initContainerBoxSearch(%pos,%size,$TypeMasks::FxBrickObjectType);	
		while(isObject(%brick=containerSearchNext()))
		{
			if(%brick.emitter.emitter$=$grass_emitter)
			{
				if($grass_regrow)
				{
					%brick.grow = %brick.emitter.emitter;
					%brick.grassTick = 0;
					%brick.regrow = %brick.schedule(1000, growGrass);
				}
				%brick.setEmitter();
			}
		}
		%this.grass = %this.schedule(150, checkGrass, %obj);
	}
}

