function lawnmower90vehicle::headlights(%this, %veh, %directive, %selection)
{
	switch$(%directive)
	{
		case "next":
		%setlights = %veh.headlightState + 1;
		%veh.headlightState = %veh.headlightState + 1;
		
		case "restore":
		%setlights = %veh.headlightState;
		
		case "select":
		%setlights = %selection;
		%veh.headlightState = %selection;
		
		case "off":
		%setlights = 0;
	}
	
	if(%setlights > 2)
	{
		%setlights = 0;
		%veh.headlightState = 0;
	}
	
	switch(%setlights)
	{
		case 0:		//Headlights off
			%veh.mountedLightBot[1].setMountedLight(none);

			%veh.unhidenode(headlight0);
			%veh.hidenode(headlight1);
		
		case 1:		//Headlights glowy
			%veh.mountedLightBot[1].setMountedLight(none);

			%veh.unhidenode(headlight1);
			%veh.hidenode(headlight0);
		
		case 2:		//Headlights for real
			%veh.mountedLightBot[1].setMountedLight(lawnmower90headlight);

			%veh.unhidenode(headlight1);
			%veh.hidenode(headlight0);
	}
}